package de.intevation.flys.artifacts.model.sq;

import java.util.Map;

public class Measurement
{
    protected Map<String, Object> data;

    public Measurement() {
    }

    public Measurement(Map<String, Object> data) {
        this.data = data;
    }

    protected double get(String name) {
        Number value = (Number)data.get(name);
        return value != null ? value.doubleValue() : Double.NaN;
    }

    public double S_SS() {
        return get("TSAND");
    }

    public double S_SF() {
        return get("TSCHWEB") - get("TSAND");
    }

    public double Q() {
        return get("Q");
    }

    public double S_BL_S() {
        // TODO: Implement me!
        return Double.NaN;
    }

    public double S_BL_FG() {
        // TODO: Implement me!
        return Double.NaN;
    }

    public double S_BL_CG() {
        // TODO: Implement me!
        return Double.NaN;
    }

    public double S_BL() {
        // TODO: Implement me!
        return Double.NaN;
    }

    @Override
    public String toString() {
        return "Measurement: " + data;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
